shell bypass 403

UnknownSec Shell

: /bin/ [ dr-xr-xr-x ]

name : dovecot-sysreport
#!/usr/bin/bash

set -eu

dest="dovecot-sysreport-$(uname -n)-$(date +'%s').tar.gz"
conf_flag=""
binary=""
core=""
copy_files=""
keep_temp=0

PARAMS=""
SRTEMP="`mktemp -d`"

if test "x$SRTEMP" = x; then
  echo "Could not create temp directory"
  exit 1
fi

while (( "$#" )); do
  case "$1" in
    -d|--destination)

      if [ "$#" -lt "2" ] ; then
        echo "Usage: $0 $1 <destination.tar.gz>"
        exit 1
      fi
      dest=$2
      shift 2
      ;;

    -c|--config)

      if [ "$#" -lt "2" ] ; then
        echo "Usage: $0 $1 <config_file>"
        exit 1
      fi
      conf_flag="-c $2"
      shift 2
      ;;

    -o|--core)

      gdb=`which gdb`
      if [ "$gdb" = "" ]; then
        echo "gdb not found"
        exit 1
      fi

      if [[ "$#" -lt 2 ]] ; then
        echo "Usage: $0 $1 [<binary>] <core> [...]"
        exit 1
      fi

      while [[ "$#" -ge 2 ]]; do
        # see if binary parameter is specified
        binary=$2
        if ! [ -r "$binary" ]; then
          echo "$binary not readable"
          exit 1
        fi
        binary_info=$(file "$binary")
        if echo "$binary_info" | grep "core file.*execfn: '" >/dev/null; then
          # no binary specified - detect it
          binary=$(echo "$binary_info" | sed "s;^.*execfn: '\([^\']\+\)'.*$;\1;")
          if ! [ -r "$binary" ]; then
            echo "Detected binary path '$binary' from core file, but it is not readable"
            exit 1
          fi
          echo "Core file was detected to be generated by $binary"
        else
          shift
        fi

        core=$2
        shift
        if ! [ -s "$core" ]; then
          echo "$core not found or it is empty"
          exit 1
        fi

        echo "gathering core file dependencies..."
        core_files=$((echo "info shared"; sleep 1) | $gdb $binary $core | grep '^0x.*/' | sed 's,^[^/]*,,')
        copy_files="$copy_files $binary $core_files"
        cp $core $SRTEMP
      done
      shift
      ;;

    -k|--keeptemp)

      keep_temp=1
      shift
      ;;

    -h|--help)

      echo -e "dovecot-sysreport \t[-h|--help] [-o|--core [binary] core [...]] [-d|--destination dest]
      \t\t\t[-k|--keeptemp] -- utility to gather information from the current
      \t\t\tsystem to be reported for dovecot bug fixes."
      echo ""
      echo -e "where:"
      echo ""
      echo -e "\t-h, --help\t\tShow the contents of this help."
      echo -e "\t-d, --destination\tThe file location which the report archive should be put to.
      \t\t\t\tThe default value is dovecot-sysreport-<hostname>-<current_timestamp>.tar.gz"
      echo -e "\t-c, --config\t\tSpecify the root configuration file of dovecot."
      echo -e "\t-o, --core\t\tInclude an specific core file along with its dependencies."
      echo -e "\t-k, --keeptemp\t\tDo not remove temp files at the end."
      exit 0
      ;;

    --)

      shift
      break
      ;;

    -*|--*=)

      echo "Error: Unsupported flag $1" >&2
      exit 1
      ;;

    *)

      PARAMS="$PARAMS $1"
      shift
      ;;

  esac
done

eval set -- "$PARAMS"

mkdir $SRTEMP/conf

doveconf $conf_flag -n > $SRTEMP/conf/dovecot.conf

unwrap_and_hide_pass () {
  files=`grep -zPo 'dict\s*{[^}]*}' $1 | grep -zPo '.*=.*:\K(.*)' | tr '\0' '\n'`
  files="$files `grep -zPo 'args\s*=\s*\K(.*)' $1 | tr '\0' '\n'`"
  for cf in $files; do
    if [ -r "$cf" ]; then
      if [[ ! -z `grep -vhIE '^([^:]*:){6}[^:]*$' $cf` ]]; then
        unwrap_and_hide_pass $cf
        mkdir -p $SRTEMP/conf"$(dirname "$cf")"
        if [[ -x "$(command -v python)" ]]; then
          python <<HEREDOC
import re
conf =  open('$cf', 'r').read()
hidden = re.sub('(?<!no)((?:password|key|nonce|dnpass)\s*=\s*).*?(?=$|\s)', '\g<1>#hidden', conf)
f = open('$SRTEMP/conf$cf', "w")
f.write(hidden)
f.close()
HEREDOC
        elif [[ -x "$(command -v perl)" ]]; then
          perl -pe 's/(?<!no)((?:password|key|nonce|dnpass)\s*=\s*).*?(?=$|\s)/\1#hidden/g' \
            $cf > $SRTEMP/conf$cf
        else
          echo "perl or python is required to hide your passwords in dovecot's"
          echo "configuration files. Either install at least one of them or"
          echo "continue at your own peril. Do you want to continue (N/y)? "
          read permit
          if [ "$permit" != "Y" ] && [ "$permit" != "y" ]; then
            exit 1
          fi
          cat $cf > $SRTEMP/conf$cf
        fi
      fi
    fi
  done
}

echo "Gathering configurations ..."
unwrap_and_hide_pass $SRTEMP/conf/dovecot.conf

echo "Gathering system informations ..."
doveadm $conf_flag log errors > $SRTEMP/log_errors || :
(printf "# Start: "; date) >$SRTEMP/ps_output
ps auxwww | grep '[d]ovecot' >> $SRTEMP/ps_output
(printf "# End: "; date) >>$SRTEMP/ps_output
doveadm $conf_flag service status > $SRTEMP/service_status || :
doveadm $conf_flag process status > $SRTEMP/process_status || :
uptime > $SRTEMP/uptime_output
doveadm $conf_flag stats dump > $SRTEMP/stats_dump || :
sleep 3
echo -e "\n\n###################### AFTER 3 SECONDS ######################\n\n" | \
  tee -a $SRTEMP/ps_output $SRTEMP/service_status $SRTEMP/process_status \
  $SRTEMP/uptime_output $SRTEMP/stats_dump > /dev/null
(printf "# Start: "; date) >>$SRTEMP/ps_output
ps auxwww | grep '[d]ovecot' >> $SRTEMP/ps_output
(printf "# End: "; date) >>$SRTEMP/ps_output
doveadm $conf_flag service status >> $SRTEMP/service_status || :
doveadm $conf_flag process status >> $SRTEMP/process_status || :
uptime >> $SRTEMP/uptime_output
doveadm $conf_flag stats dump >> $SRTEMP/stats_dump || :

cf=`pwd`
cd $SRTEMP
echo "Creating archive ..."
tar -czf `if [[ "$dest" = /* ]]; then echo $dest; else echo $cf/$dest; fi` --dereference \
  $copy_files *

function cleanup {
  if [ $keep_temp = 0 ]; then
    echo "Removing temp files at $SRTEMP ..."
    rm -rf $SRTEMP
  else
    echo "Temp files remains untouched at $SRTEMP ..."
  fi
}

trap cleanup EXIT

echo "All done! Please report file $dest"

© 2025 UnknownSec
Learning made Easy | Anyleson - Learning Platform
INR (₹)
India Rupee
$
United States Dollar

Joy of learning & teaching...

Rocket LMS is a fully-featured educational platform that helps instructors to create and publish video courses, live classes, and text courses and earn money, and helps students to learn in the easiest way.

6

Skillful Instructors

Start learning from experienced instructors.

11

Happy Students

Enrolled in our courses and improved their skills.

8

Live Classes

Improve your skills using live knowledge flow.

10

Video Courses

Learn without any geographical & time limitations.

Featured Courses

#Browse featured courses and become skillful

New Learning Page

Learn step-by-step tips that help you get things done with your virtual team by increasing trust and accountability.If you manage a virtual team today, then you'll probably continue to do so for the rest of your career.

5.00
20% Offer

Excel from Beginner to Advanced

Microsoft Excel is a spreadsheet developed by Microsoft for Windows, macOS, Android and iOS. It features calculation, graphing tools, pivot tables, and a macro programming language called Visual Basic for Applications (VBA).

4.75

Newest Courses

#Recently published courses

View All
Course
Full Stack Web Development

Full Stack Web Development

in Web Development
83:20 Hours
10 Oct 2024
₹28,318.82
Course
Installment and Secure Host

Installment and Secure Host

in Business Strategy
5.00
1:30 Hours
16 Mar 2023
₹118
Not conducted
Bestseller
New In-App Live System

New In-App Live System

in Communications
5.00
2:30 Hours
1 Mar 2026
₹11.80
Featured
New Learning Page

New Learning Page

in Lifestyle
5.00
3:30 Hours
1 Mar 2022
Free
Finished
Effective Time Management

Effective Time Management

in Management
5.00
1:30 Hours
1 Aug 2023
₹35.40
20% Offer
Excel from Beginner to Advanced

Excel from Beginner to Advanced

in Management
4.75
1:40 Hours
20 Mar 2026
₹94.40 ₹118

Latest bundles

Latest bundles subtitle

View All
Bestseller
Microsoft Office Beginner to Expert Bundle

Microsoft Office Beginner to Expert Bundle

in Management
5.00
15:10 Hours
24 Jun 2022
₹59

A-Z Web Programming

in Web Development
4.75
2:20 Hours
25 Jun 2022
₹9.44

Upcoming Courses

Courses that will be published soon

View All

Best Rated Courses

#Enjoy high quality and best rated content

View All
Finished
Effective Time Management

Effective Time Management

in Management
5.00
1:30 Hours
1 Aug 2023
₹35.40
20% Offer
Health And Fitness Masterclass

Health And Fitness Masterclass

in Health & Fitness
5.00
1:00 Hours
1 Jul 2021
₹18.88 ₹23.60
Finished
Learn Linux in 5 Days

Learn Linux in 5 Days

in Web Development
4.69
7:30 Hours
10 Jul 2021
Free
Text course
Learn Python Programming

Learn Python Programming

in Web Development
4.63
0:35 Hours
29 Jun 2021
Free
Course
Become a Product Manager

Become a Product Manager

in Business Strategy
4.58
2:30 Hours
28 Jun 2021
Free
20% Offer
Learn and Understand AngularJS

Learn and Understand AngularJS

in Web Development
3.88
1:00 Hours
10 Dec 2023
₹18.88 ₹23.60

Trending Categories

#Browse trending & popular learning topics

Bestselling Courses

#Learn from bestselling courses

View All
Course
Become a Product Manager

Become a Product Manager

in Business Strategy
4.58
2:30 Hours
28 Jun 2021
Free
Finished
Learn Linux in 5 Days

Learn Linux in 5 Days

in Web Development
4.00
7:30 Hours
10 Jul 2021
Free
20% Offer
Excel from Beginner to Advanced

Excel from Beginner to Advanced

in Management
4.75
1:40 Hours
20 Mar 2026
₹94.40 ₹118
Finished
Effective Time Management

Effective Time Management

in Management
5.00
1:30 Hours
1 Aug 2023
₹35.40
40% Offer
The Future of Energy

The Future of Energy

in Science
2.50
1:10 Hours
8 Jul 2021
₹42.48 ₹70.80
Featured
New Learning Page

New Learning Page

in Lifestyle
5.00
3:30 Hours
1 Mar 2022
Free

Free Courses

#Never miss free learning opportunities

View All
Featured
New Learning Page

New Learning Page

in Lifestyle
5.00
3:30 Hours
1 Mar 2022
Free
Course
New Update Features

New Update Features

in Language
4.00
1:30 Hours
21 Jun 2022
Free
Text course
Learn Python Programming

Learn Python Programming

in Web Development
5.00
0:35 Hours
29 Jun 2021
Free
Finished
Learn Linux in 5 Days

Learn Linux in 5 Days

in Web Development
4.00
7:30 Hours
10 Jul 2021
Free
Course
Become a Product Manager

Become a Product Manager

in Business Strategy
4.58
2:30 Hours
28 Jun 2021
Free

Discounted Courses

#Get courses at the latest price

View All
20% Offer
Excel from Beginner to Advanced

Excel from Beginner to Advanced

in Management
4.75
1:40 Hours
20 Mar 2026
₹94.40 ₹118
20% Offer
Learn and Understand AngularJS

Learn and Understand AngularJS

in Web Development
2.75
1:00 Hours
10 Dec 2023
₹18.88 ₹23.60
20% Offer
Health And Fitness Masterclass

Health And Fitness Masterclass

in Health & Fitness
5.00
1:00 Hours
1 Jul 2021
₹18.88 ₹23.60
40% Offer
The Future of Energy

The Future of Energy

in Science
2.50
1:10 Hours
8 Jul 2021
₹42.48 ₹70.80

Store Products

Explore physical & virtual products

All Products

Subscribe Now!

#Choose a subscription plan and save money!

Become an instructor

Are you interested to be a part of our community? You can be a part of our community by signing up as an instructor or organization.

Become an instructor circle dots
user name
Become an instructor start earning right now...
Have a Question? Ask it in forum and get answer circle dots

Have a Question? Ask it in forum and get answer

Our forums helps you to create your questions on different subjects and communicate with other forum users. Our users will help you to get the best answer!

Find the best instructor

Looking for an instructor? Find the best instructors according to different parameters like gender, skill level, price, meeting type, rating, etc. Find instructors on the map.

Find the best instructor circle dots
user name
Tutor Finder Find the best instructor now...

Start learning anywhere, anytime...

Use Rocket LMS to access high-quality education materials without any limitations in the easiest way.

Win Club Points
medal
You earned 50 points! for completing the course...

Win Club Points

Use Rocket LMS and win club points according to different activities. You will be able to use your club points to get free prizes and courses. Start using the system now and collect points!

Instructors

#Learn from the experienced & skillful instructors

All Instructors

Testimonials

#What our customers say about us

Ryan Newman

Ryan Newman

Data Analyst at Microsoft

"We've used Rocket LMS for the last 2  years. Thanks for the great service."

Megan Hayward

Megan Hayward

System Administrator at Amazon

"We're loving it. Rocket LMS is both perfect    and highly adaptable."

Natasha Hope

Natasha Hope

IT Technician at IBM

"I am really satisfied with my Rocket LMS. It's the perfect solution for our business."

Charles Dale

Charles Dale

Computer Engineer at Oracle

"I am so pleased with this product. I couldn't have asked for more than this."

David Patterson

David Patterson

Network Technician at Cisco

"Rocket LMS impressed me on multiple           levels."

Organizations

#Greatest education organizations are here to help you

All Organizations

Blog

#Explore latest news and articles

Blog Posts
Become a Straight-A Student 1 Jul 2021

Become a Straight-A Student

In this article, I’ll explain the two rules I followed to become a straight-A student. If you take my advice, you’ll get better grades and lead a more ...
How To Teach Your Kid Easily 1 Jul 2021

How To Teach Your Kid Easily

The primary reason kids struggle with school is fear. And in most cases, it’s their parent's fault. I started tutoring math out of financial desperation. ...
Better Relationship Between Friends 1 Jul 2021

Better Relationship Between Friends

The tutor-parent relationship is an important relationship and unfortunately greatly overlooked. Why is it important? Well, a good relationship between you and ...